add_library(libClaPP_GSL INTERFACE)
if(libClaPP_SUBMODULE_DEPENDENCIES)
    if(NOT TARGET Microsoft.GSL::GSL)
        set(GSL_CXX_STANDARD "17" CACHE STRING "Use c++ standard")
        add_subdirectory("${THIRD_PARTY_DIR}/GSL" EXCLUDE_FROM_ALL)
    endif()
else()
    if(NOT TARGET Microsoft.GSL::GSL)
        find_package(Microsoft.GSL 3.1.0 REQUIRED)
    endif()
endif()

target_link_libraries(libClaPP_GSL INTERFACE Microsoft.GSL::GSL)

if(libClaPP_PEDANTIC_COMPILER_FLAGS)
    if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
        target_compile_options(libClaPP_GSL INTERFACE -Wno-weak-vtables)
    endif()
endif()
